> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisfi.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Quote

> Retrieves real-time currency exchange rates or formal quotes for specified currency pairs. The Quote endpoint gives the user a guaranteed rate for an agreed period of time.



## OpenAPI

````yaml /openapi.json post /api/fx/quotes
openapi: 3.0.1
info:
  title: AxisFi API 接口文档
  description: 认证需同时提供 API Key 和 Secret
  version: v1.0.0
servers:
  - url: http://127.0.0.1:8083
    description: Generated server url
security:
  - X-API-Key: []
    X-API-Secret: []
paths:
  /api/fx/quotes:
    post:
      tags:
        - Quotes
      summary: Request Quote
      description: >-
        Retrieves real-time currency exchange rates or formal quotes for
        specified currency pairs. The Quote endpoint gives the user a guaranteed
        rate for an agreed period of time.
      operationId: exchangeRate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FxReqVo'
        required: true
      responses:
        '200':
          description: Operation Successful
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExchangeRecordsRespVo'
        '400':
          description: Invalid Parameter
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '403':
          description: Forbidden (No Permission)
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '404':
          description: Not Found
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '405':
          description: Method Not Allowed
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorRespVo'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
components:
  schemas:
    FxReqVo:
      required:
        - source_currency
        - target_currency
      type: object
      properties:
        source_currency:
          pattern: USDT|USDC|USD
          type: string
          description: Source Currency
          example: USDT
          enum:
            - USDT
            - USDC
            - USD
        target_currency:
          pattern: USDT|USDC|USD
          type: string
          description: Target Currency
          example: USDT
          enum:
            - USDT
            - USDC
            - USD
        source_network:
          pattern: ETH|TRX
          type: string
          description: Source Network
          example: ETH
          enum:
            - ETH
            - TRX
        target_network:
          pattern: ETH|TRX
          type: string
          description: Target Network
          example: ETH
          enum:
            - ETH
            - TRX
        source_amount:
          maximum: 100000000
          exclusiveMaximum: false
          minimum: 0.01
          exclusiveMinimum: false
          type: number
          description: Source Amount
          example: 99.99
        target_amount:
          maximum: 100000000
          exclusiveMaximum: false
          minimum: 0.01
          exclusiveMinimum: false
          type: number
          description: Target Amount
          example: 99.99
    ExchangeRecordsRespVo:
      type: object
      properties:
        quote_id:
          type: string
          description: Quote ID
          example: quote_f91fafe4b4fb463c8d0b04a90fece464
        valid_from:
          type: string
          description: Exchange valid from time
          format: date-time
        source_currency:
          type: string
          description: Source currency code
          example: USDT
          enum:
            - USDT
            - USDC
            - USD
        source_network:
          type: string
          description: Source currency network
          example: ETH
          enum:
            - ETH
            - TRX
        target_currency:
          type: string
          description: Target currency code
          example: USDC
          enum:
            - USDT
            - USDC
            - USD
        target_network:
          type: string
          description: Target currency network
          example: TRX
          enum:
            - ETH
            - TRX
        source_amount:
          type: number
          description: Source exchange amount
          example: 1000
        exchange_rate:
          type: number
          description: Exchange rate between source and target currency
          example: 1.005
        target_amount:
          type: number
          description: Target exchange amount
          example: 995
        valid_to:
          type: string
          description: Quote expiration time
          format: date-time
        remaining_seconds:
          type: integer
          description: Remaining seconds before expiration
          format: int64
          example: 180
      description: Exchange Records Response
    ErrorRespVo:
      type: object
      properties:
        errors:
          type: array
          description: 错误信息列表
          items:
            $ref: '#/components/schemas/ErrorDetailRespVo'
      description: 错误响应结果
    ErrorDetailRespVo:
      type: object
      properties:
        detail:
          type: string
          description: 错误详细描述
          example: Invalid organizationId
        code:
          type: string
          description: 错误码
          example: ORG_ID_INVALID
      description: 错误详情
  securitySchemes:
    X-API-Key:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    X-API-Secret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````